org.apache.calcite.avatica

## Class ConnectionConfigImpl

- java.lang.Object
- - org.apache.calcite.avatica.ConnectionConfigImpl

All Implemented Interfaces:
  ConnectionConfig

Direct Known Subclasses:
  AvaticaRemoteConnectionConfigImpl

    public class ConnectionConfigImpl
    extends Object
    implements ConnectionConfig

Implementation of `ConnectionConfig`.

### Nested Class Summary

Nested Classes
`static interface` `ConnectionConfigImpl.Converter<T>` Callback to parse a property from string to its native type.
`static class` `ConnectionConfigImpl.PropEnv` The combination of a property definition and a map of property values.

### Field Summary

Fields
`static ConnectionConfigImpl.Converter<Boolean>` `BOOLEAN_CONVERTER`
`static ConnectionConfigImpl.Converter<String>` `IDENTITY_CONVERTER`
`(package private) static Map<String,BigDecimal>` `MULTIPLIER_MAP`
`static ConnectionConfigImpl.Converter<Number>` `NUMBER_CONVERTER`
`protected Properties` `properties`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionConfigImpl(Properties properties)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `authentication()`
`String` `avaticaPassword()`
`String` `avaticaUser()`
`static <E extends Enum> ConnectionConfigImpl.Converter<E>` `enumConverter(Class<E> enumClass)`
`Service.Factory` `factory()`
`String` `httpClientClass()`
`AvaticaHttpClientFactory` `httpClientFactory()`
`File` `kerberosKeytab()`
`String` `kerberosPrincipal()`
`static Map<ConnectionProperty,String>` `parse(Properties properties, Map<String,? extends ConnectionProperty> nameToProps)` Converts a `Properties` object containing (name, value) pairs into a map whose keys are `InternalProperty` objects.
`static <T> ConnectionConfigImpl.Converter<T>` `pluginConverter(Class<T> pluginClass, T defaultInstance)`
`String` `schema()`
`String` `serialization()`
`String` `timeZone()`
`File` `truststore()`
`String` `truststorePassword()`
`String` `url()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### properties

    protected final Properties properties

#### BOOLEAN_CONVERTER

    public static final ConnectionConfigImpl.Converter<Boolean> BOOLEAN_CONVERTER

#### MULTIPLIER_MAP

    static final Map<String,BigDecimal> MULTIPLIER_MAP

#### NUMBER_CONVERTER

    public static final ConnectionConfigImpl.Converter<Number> NUMBER_CONVERTER

#### IDENTITY_CONVERTER

    public static final ConnectionConfigImpl.Converter<String> IDENTITY_CONVERTER

### Constructor Detail

#### ConnectionConfigImpl

    public ConnectionConfigImpl(Properties properties)

### Method Detail

#### schema

    public String schema()

Specified by:
  `schema` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.SCHEMA`

#### timeZone

    public String timeZone()

Specified by:
  `timeZone` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.TIME_ZONE`

#### factory

    public Service.Factory factory()

Specified by:
  `factory` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.FACTORY`

#### url

    public String url()

Specified by:
  `url` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.URL`

#### serialization

    public String serialization()

Specified by:
  `serialization` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.SERIALIZATION`

#### authentication

    public String authentication()

Specified by:
  `authentication` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.AUTHENTICATION`

#### avaticaUser

    public String avaticaUser()

Specified by:
  `avaticaUser` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.AVATICA_USER`

#### avaticaPassword

    public String avaticaPassword()

Specified by:
  `avaticaPassword` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.AVATICA_PASSWORD`

#### httpClientFactory

    public AvaticaHttpClientFactory httpClientFactory()

Specified by:
  `httpClientFactory` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.HTTP_CLIENT_FACTORY`

#### httpClientClass

    public String httpClientClass()

Specified by:
  `httpClientClass` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.HTTP_CLIENT_IMPL`

#### kerberosPrincipal

    public String kerberosPrincipal()

Specified by:
  `kerberosPrincipal` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.PRINCIPAL`

#### kerberosKeytab

    public File kerberosKeytab()

Specified by:
  `kerberosKeytab` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.KEYTAB`

#### truststore

    public File truststore()

Specified by:
  `truststore` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.TRUSTSTORE`

#### truststorePassword

    public String truststorePassword()

Specified by:
  `truststorePassword` in interface `ConnectionConfig`
See Also:
  `BuiltInConnectionProperty.TRUSTSTORE_PASSWORD`

#### parse

    public static Map<ConnectionProperty,String> parse(Properties properties,
                                                       Map<String,? extends ConnectionProperty> nameToProps)

Converts a `Properties` object containing (name, value) pairs into a map whose keys are `InternalProperty` objects.

Matching is case-insensitive. Throws if a property is not known. If a property occurs more than once, takes the last occurrence.

Parameters:
  `properties` - Properties
Returns:
  Map
Throws:
  `RuntimeException` - if a property is not known

#### enumConverter

    public static <E extends Enum> ConnectionConfigImpl.Converter<E> enumConverter(Class<E> enumClass)

#### pluginConverter

    public static <T> ConnectionConfigImpl.Converter<T> pluginConverter(Class<T> pluginClass,
                                                                        T defaultInstance)